require 'action_controller'
require 'rails/railtie'

module ActionSegue
  autoload :Segue, 'action_segue/segue'
  autoload :SegueRegistration, 'action_segue/segue_registration'

  def self.load_action_segue
    ActiveSupport.on_load(:action_controller) do
      include ActionSegue::SegueRegistration
    end
  end

  class Railtie < Rails::Railtie
    initializer "action-segue" do
      ActionSegue.load_action_segue
    end
  end
end
